import { javascript } from '@codemirror/lang-javascript';
import { vscodeDark } from '@uiw/codemirror-theme-vscode';
import type { Ref } from 'vue';
import { computed, ref } from 'vue';
import type { TextType } from './types';

export type UseEditorExtensionsOptions = {
	activeHighlight: Ref<TextType>;
};
export const useEditorExtensions = (options: UseEditorExtensionsOptions) => {
	const javascriptHighlight = javascript();
	const { activeHighlight } = options;

	const editorExtensions = computed(() => {
		return activeHighlight.value !== 'text' ? [javascriptHighlight, vscodeDark] : [];
	});

	return {
		editorExtensions,
	};
};
